package Juno2;
import java.io.Serializable;


public class PositionVO implements Serializable {


public PositionVO(){}


    public void setAccountId(String acct){
		this.accountId = acct;
	}
    public String getAccountId(){
		return this.accountId;
	}


    public void setSymbol(String sym){
		this.symbol = sym;
	}
    public String getSymbol(){
		return this.symbol;
	}


    public void setNumberOfShares(int num){
		this.numberOfShares = num;
	}
	public int getNumberOfShares(){
		return this.numberOfShares;
	}


    public void setPreviousClosePrice(float prev){
		this.previousClosePrice = prev;
	}
	public float getPreviousClosePrice(){
		return this.previousClosePrice;
	}


	public void setCostBasis(float cost){
		this.costBasis = cost;
	}
	public float getCostBasis(){
		return this.costBasis;
	}


    public String toString(){
        return this.getClass().getName() + ":" +
	        getAccountId() + " " +
			getSymbol() + "," +
			getNumberOfShares() + "," +
			getPreviousClosePrice() + "," +
			getCostBasis();
    }


    private String accountId;
    private String symbol;
    private int numberOfShares;
    private float previousClosePrice;
    private float costBasis;


}
